import {httpApi} from "../../request/httpApi";

export default {
    //分页
    async getarchiveFilePage(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/page',
            method: 'post',
            params: form
        }, msg);
    },

    //批量新增
    async batchUploadSave(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/batchSave',
            method: 'post',
            data: form
        }, msg)
    },

    //批量修改
    async batchUpdateSort(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/batchUpdateSort',
            method: 'post',
            data: form
        }, msg)
    },

    //获取未分盒的文件列表
    async pageByBoxName(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/pageByBoxName',
            method: 'post',
            params: form
        }, msg);
    },

    //获取已有盒号和案卷名
    async getBoxNameAndBoxNumber(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/getBoxNameAndBoxNumber',
            method: 'post',
            params: form
        }, msg);
    },

    //设置分盒
    async allocation(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/allocation',
            method: 'post',
            data: form
        }, msg)
    },

    //检测案卷名是否重复
    async getIsBoxName(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/getIsBoxName',
            method: 'post',
            params: form
        }, msg);
    },

    //跨目录移动
    async migrateFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/migrateFile',
            method: 'post',
            params: form
        }, msg);
    },

    //文件收集删除接口
    async removeFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/remove',
            method: 'post',
            params: form
        }, msg);
    },
      //分盒整理删除接口
    async removeAllocation(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/removeAllocation',
            method: 'post',
            params: form
        }, msg);
    },
    //获取责任者
    async getDutyUser(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archiveFile/getDutyUser',
            method: 'get',
            params: form
        }, msg)
      },
}
